Package org.eclipse.cdt.core.model

# Interface IPathEntry

All Known Subinterfaces:
  `IContainerEntry`, `IIncludeEntry`, `IIncludeFileEntry`, `ILibraryEntry`, `IMacroEntry`, `IMacroFileEntry`, `IOutputEntry`, `IProjectEntry`, `ISourceEntry`

public interface IPathEntry

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CDT_CONTAINER`
Entry kind constant describing a path entry representing a container id.
`static final int`
`CDT_INCLUDE`
Entry kind constant describing a path entry identifying a include path.
`static final int`
`CDT_INCLUDE_FILE`
Entry kind constant describing a path entry representing a file that will be process file as if "#include "file"" appeared as the first line of the source file.
`static final int`
`CDT_LIBRARY`
Entry kind constant describing a path entry identifying a library.
`static final int`
`CDT_MACRO`
Entry kind constant describing a path entry representing a macro definition.
`static final int`
`CDT_MACRO_FILE`
Entry kind constant describing a path entry representing a file that will be process file as if "#include "file"" appeared as the first line of the source file but only the macro definitions are kept.
`static final int`
`CDT_OUTPUT`
Entry kind constant describing output location
`static final int`
`CDT_PROJECT`
Entry kind constant describing a path entry identifying a required project.
`static final int`
`CDT_SOURCE`
Entry kind constant describing a path entry identifying a folder containing source code to be compiled.

## Method Summary

Modifier and Type
Method
Description
`int`
`getEntryKind()`
Returns the kind of this path entry.
`org.eclipse.core.runtime.IPath`
`getPath()`
Returns the affected IPath
`boolean`
`isExported()`

## Field Details

### CDT_LIBRARY

static final int CDT_LIBRARY
Entry kind constant describing a path entry identifying a library. A library is an archive containing consisting of pre-compiled binaries.

See Also:
  - Constant Field Values

### CDT_PROJECT

static final int CDT_PROJECT
Entry kind constant describing a path entry identifying a required project.

See Also:
  - Constant Field Values

### CDT_SOURCE

static final int CDT_SOURCE
Entry kind constant describing a path entry identifying a folder containing source code to be compiled.

See Also:
  - Constant Field Values

### CDT_INCLUDE

static final int CDT_INCLUDE
Entry kind constant describing a path entry identifying a include path.

See Also:
  - Constant Field Values

### CDT_CONTAINER

static final int CDT_CONTAINER
Entry kind constant describing a path entry representing a container id.

See Also:
  - Constant Field Values

### CDT_MACRO

static final int CDT_MACRO
Entry kind constant describing a path entry representing a macro definition.

See Also:
  - Constant Field Values

### CDT_OUTPUT

static final int CDT_OUTPUT
Entry kind constant describing output location

See Also:
  - Constant Field Values

### CDT_INCLUDE_FILE

static final int CDT_INCLUDE_FILE
Entry kind constant describing a path entry representing a file that will be process file as if "#include "file"" appeared as the first line of the source file.

See Also:
  - Constant Field Values

### CDT_MACRO_FILE

static final int CDT_MACRO_FILE
Entry kind constant describing a path entry representing a file that will be process file as if "#include "file"" appeared as the first line of the source file but only the macro definitions are kept.

See Also:
  - Constant Field Values

## Method Details

### getEntryKind

int getEntryKind()
Returns the kind of this path entry.

Returns:
  one of:
  - `CDT_SOURCE` - this entry describes a source root in its project
  - `CDT_LIBRARY` - this entry describes a library
  - `CDT_PROJECT` - this entry describes another project
  - `CDT_INCLUDE` - this entry describes a include path
  - `CDT_MACRO` - this entry describes a macro definition
  - `CDT_CONTAINER` - this entry describes a container id
  - `CDT_OUTPUT` - this entry describes output location
  - `CDT_INCLUDE_FILE` - this entry describes a file to be process as an include
  - `CDT_MACRO_FILE` - this entry describes a file containing macro definitions

### isExported

boolean isExported()

Returns:
  true if exported.

### getPath

org.eclipse.core.runtime.IPath getPath()
Returns the affected IPath

Returns:
  IPath